Get cashback offers
curl --request GET \
--url https://api.onsleek.ai/v1/deals/cashback-offers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onsleek.ai/v1/deals/cashback-offers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onsleek.ai/v1/deals/cashback-offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "e8400e53-078f-4641-97e2-5c397401c0f0",
"featured": true,
"countries": [
"CA",
"US"
],
"maximumFixedCommissionFee": 75,
"description": "$75.00 cashback on all orders.",
"category": "Electronics",
"termsAndExclusions": "Excludes all Apple products",
"cashbackPercentage": 0.14,
"retailerId": "4f9df53d-16dc-4630-8603-8d14ec40fcfe",
"url": "https://www.bestbuy.com",
"name": "BestBuy",
"hostname": "www.bestbuy.com",
"updatedAt": "2023-10-01T12:00:00.000Z",
"logo": "https://example.com/logo.png"
}
],
"cursor": "<string>"
}Cashback Offers
Get cashback offers
Fetch all cashback offers.
GET
/
v1
/
deals
/
cashback-offers
Get cashback offers
Authorizations
API key for accessing the Sleek API.
Query Parameters
The ID of the next item that will be fetched. Format: UUID RFC 4122
The hostname of the cashback offer's retailer to search for.
The name of the cashback offer's retailer to search for.
The category of the cashback offers to search for.
The country of the cashback offers to search for. Format: ISO 3166-1 alpha-2 code

